Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
[Java] Class TableLayout

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      groovy.swing.impl.TableLayout

    public class TableLayout
    extends javax.swing.JPanel

Represents a HTML style table layout

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary

Fields inherited from class javax.swing.JPanel
WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class javax.swing.JComponent
WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Constructor Summary
`TableLayout()`

Method Summary
`void` | `addCell(TableLayoutCell cell)` Adds a new cell to the current grid
`int` | `getCellpadding()`
`int` | `nextRowIndex()` Creates a new row index for child
tags
`void` | `setCellpadding(int cellpadding)`

Methods inherited from class javax.swing.JPanel
javax.swing.JPanel#getAccessibleContext(), javax.swing.JPanel#updateUI(), javax.swing.JPanel#setUI(javax.swing.plaf.PanelUI), javax.swing.JPanel#getUIClassID(), javax.swing.JPanel#getUI(), javax.swing.JPanel#contains(int, int), javax.swing.JPanel#getLocation(java.awt.Point), javax.swing.JPanel#print(java.awt.Graphics), javax.swing.JPanel#getSize(java.awt.Dimension), javax.swing.JPanel#update(java.awt.Graphics), javax.swing.JPanel#isOpaque(), javax.swing.JPanel#enable(), javax.swing.JPanel#disable(), javax.swing.JPanel#setOpaque(boolean), javax.swing.JPanel#getRootPane(), javax.swing.JPanel#setEnabled(boolean), javax.swing.JPanel#isDoubleBuffered(), javax.swing.JPanel#setVisible(boolean), javax.swing.JPanel#setForeground(java.awt.Color), javax.swing.JPanel#setBackground(java.awt.Color), javax.swing.JPanel#setFont(java.awt.Font), javax.swing.JPanel#reshape(int, int, int, int), javax.swing.JPanel#getX(), javax.swing.JPanel#getY(), javax.swing.JPanel#getWidth(), javax.swing.JPanel#getHeight(), javax.swing.JPanel#setPreferredSize(java.awt.Dimension), javax.swing.JPanel#getPreferredSize(), javax.swing.JPanel#setMinimumSize(java.awt.Dimension), javax.swing.JPanel#getMinimumSize(), javax.swing.JPanel#setMaximumSize(java.awt.Dimension), javax.swing.JPanel#getMaximumSize(), javax.swing.JPanel#getAlignmentX(), javax.swing.JPanel#getAlignmentY(), javax.swing.JPanel#getBaseline(int, int), javax.swing.JPanel#getBaselineResizeBehavior(), javax.swing.JPanel#revalidate(), javax.swing.JPanel#getGraphics(), javax.swing.JPanel#getFontMetrics(java.awt.Font), javax.swing.JPanel#paint(java.awt.Graphics), javax.swing.JPanel#repaint(long, int, int, int, int), javax.swing.JPanel#repaint(java.awt.Rectangle), javax.swing.JPanel#printAll(java.awt.Graphics), javax.swing.JPanel#getListeners(java.lang.Class), javax.swing.JPanel#addNotify(), javax.swing.JPanel#removeNotify(), javax.swing.JPanel#setFocusTraversalKeys(int, java.util.Set), javax.swing.JPanel#requestFocus(), javax.swing.JPanel#requestFocus(boolean), javax.swing.JPanel#requestFocusInWindow(), javax.swing.JPanel#firePropertyChange(java.lang.String, boolean, boolean), javax.swing.JPanel#firePropertyChange(java.lang.String, int, int), javax.swing.JPanel#firePropertyChange(java.lang.String, char, char), javax.swing.JPanel#isValidateRoot(), javax.swing.JPanel#getInsets(), javax.swing.JPanel#getInsets(java.awt.Insets), javax.swing.JPanel#addAncestorListener(javax.swing.event.AncestorListener), javax.swing.JPanel#setInheritsPopupMenu(boolean), javax.swing.JPanel#getInheritsPopupMenu(), javax.swing.JPanel#setComponentPopupMenu(javax.swing.JPopupMenu), javax.swing.JPanel#getComponentPopupMenu(), javax.swing.JPanel#isPaintingTile(), javax.swing.JPanel#isPaintingForPrint(), javax.swing.JPanel#isManagingFocus(), javax.swing.JPanel#setNextFocusableComponent(java.awt.Component), javax.swing.JPanel#getNextFocusableComponent(), javax.swing.JPanel#setRequestFocusEnabled(boolean), javax.swing.JPanel#isRequestFocusEnabled(), javax.swing.JPanel#grabFocus(), javax.swing.JPanel#setVerifyInputWhenFocusTarget(boolean), javax.swing.JPanel#getVerifyInputWhenFocusTarget(), javax.swing.JPanel#setBorder(javax.swing.border.Border), javax.swing.JPanel#getBorder(), javax.swing.JPanel#setAlignmentY(float), javax.swing.JPanel#setAlignmentX(float), javax.swing.JPanel#setInputVerifier(javax.swing.InputVerifier), javax.swing.JPanel#getInputVerifier(), javax.swing.JPanel#setDebugGraphicsOptions(int), javax.swing.JPanel#getDebugGraphicsOptions(), javax.swing.JPanel#registerKeyboardAction(java.awt.event.ActionListener, java.lang.String, javax.swing.KeyStroke, int), javax.swing.JPanel#registerKeyboardAction(java.awt.event.ActionListener, javax.swing.KeyStroke, int), javax.swing.JPanel#unregisterKeyboardAction(javax.swing.KeyStroke), javax.swing.JPanel#getRegisteredKeyStrokes(), javax.swing.JPanel#getConditionForKeyStroke(javax.swing.KeyStroke), javax.swing.JPanel#getActionForKeyStroke(javax.swing.KeyStroke), javax.swing.JPanel#resetKeyboardActions(), javax.swing.JPanel#setInputMap(int, javax.swing.InputMap), javax.swing.JPanel#getInputMap(int), javax.swing.JPanel#getInputMap(), javax.swing.JPanel#setActionMap(javax.swing.ActionMap), javax.swing.JPanel#getActionMap(), javax.swing.JPanel#requestDefaultFocus(), javax.swing.JPanel#getDefaultLocale(), javax.swing.JPanel#setDefaultLocale(java.util.Locale), javax.swing.JPanel#setToolTipText(java.lang.String), javax.swing.JPanel#getToolTipText(), javax.swing.JPanel#getToolTipText(java.awt.event.MouseEvent), javax.swing.JPanel#getToolTipLocation(java.awt.event.MouseEvent), javax.swing.JPanel#getPopupLocation(java.awt.event.MouseEvent), javax.swing.JPanel#createToolTip(), javax.swing.JPanel#scrollRectToVisible(java.awt.Rectangle), javax.swing.JPanel#setAutoscrolls(boolean), javax.swing.JPanel#getAutoscrolls(), javax.swing.JPanel#setTransferHandler(javax.swing.TransferHandler), javax.swing.JPanel#getTransferHandler(), javax.swing.JPanel#getClientProperty(java.lang.Object), javax.swing.JPanel#putClientProperty(java.lang.Object, java.lang.Object), javax.swing.JPanel#isLightweightComponent(java.awt.Component), javax.swing.JPanel#computeVisibleRect(java.awt.Rectangle), javax.swing.JPanel#getVisibleRect(), javax.swing.JPanel#addVetoableChangeListener(java.beans.VetoableChangeListener), javax.swing.JPanel#removeVetoableChangeListener(java.beans.VetoableChangeListener), javax.swing.JPanel#getVetoableChangeListeners(), javax.swing.JPanel#getTopLevelAncestor(), javax.swing.JPanel#removeAncestorListener(javax.swing.event.AncestorListener), javax.swing.JPanel#getAncestorListeners(), javax.swing.JPanel#isOptimizedDrawingEnabled(), javax.swing.JPanel#paintImmediately(int, int, int, int), javax.swing.JPanel#paintImmediately(java.awt.Rectangle), javax.swing.JPanel#setDoubleBuffered(boolean), javax.swing.JPanel#getBounds(java.awt.Rectangle), javax.swing.JPanel#add(java.awt.Component), javax.swing.JPanel#add(java.lang.String, java.awt.Component), javax.swing.JPanel#add(java.awt.Component, int), javax.swing.JPanel#add(java.awt.Component, java.lang.Object), javax.swing.JPanel#add(java.awt.Component, java.lang.Object, int), javax.swing.JPanel#list(java.io.PrintStream, int), javax.swing.JPanel#list(java.io.PrintWriter, int), javax.swing.JPanel#remove(int), javax.swing.JPanel#remove(java.awt.Component), javax.swing.JPanel#removeAll(), javax.swing.JPanel#validate(), javax.swing.JPanel#setFocusCycleRoot(boolean), javax.swing.JPanel#insets(), javax.swing.JPanel#setComponentZOrder(java.awt.Component, int), javax.swing.JPanel#paintComponents(java.awt.Graphics), javax.swing.JPanel#printComponents(java.awt.Graphics), javax.swing.JPanel#addContainerListener(java.awt.event.ContainerListener), javax.swing.JPanel#removeContainerListener(java.awt.event.ContainerListener), javax.swing.JPanel#getContainerListeners(), javax.swing.JPanel#isAncestorOf(java.awt.Component), javax.swing.JPanel#setFocusTraversalPolicy(java.awt.FocusTraversalPolicy), javax.swing.JPanel#isFocusTraversalPolicySet(), javax.swing.JPanel#setFocusTraversalPolicyProvider(boolean), javax.swing.JPanel#isFocusTraversalPolicyProvider(), javax.swing.JPanel#transferFocusDownCycle(), javax.swing.JPanel#getMousePosition(boolean), javax.swing.JPanel#preferredSize(), javax.swing.JPanel#minimumSize(), javax.swing.JPanel#invalidate(), javax.swing.JPanel#getComponentAt(int, int), javax.swing.JPanel#getComponentAt(java.awt.Point), javax.swing.JPanel#locate(int, int), javax.swing.JPanel#deliverEvent(java.awt.Event), javax.swing.JPanel#getFocusTraversalKeys(int), javax.swing.JPanel#areFocusTraversalKeysSet(int), javax.swing.JPanel#isFocusCycleRoot(java.awt.Container), javax.swing.JPanel#isFocusCycleRoot(), javax.swing.JPanel#addPropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JPanel#addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JPanel#applyComponentOrientation(java.awt.ComponentOrientation), javax.swing.JPanel#findComponentAt(int, int), javax.swing.JPanel#findComponentAt(java.awt.Point), javax.swing.JPanel#countComponents(), javax.swing.JPanel#getFocusTraversalPolicy(), javax.swing.JPanel#getComponents(), javax.swing.JPanel#getComponentZOrder(java.awt.Component), javax.swing.JPanel#getComponent(int), javax.swing.JPanel#getComponentCount(), javax.swing.JPanel#doLayout(), javax.swing.JPanel#getLayout(), javax.swing.JPanel#setLayout(java.awt.LayoutManager), javax.swing.JPanel#layout(), javax.swing.JPanel#add(java.awt.PopupMenu), javax.swing.JPanel#toString(), javax.swing.JPanel#getName(), javax.swing.JPanel#size(), javax.swing.JPanel#contains(java.awt.Point), javax.swing.JPanel#list(), javax.swing.JPanel#list(java.io.PrintStream), javax.swing.JPanel#list(java.io.PrintWriter), javax.swing.JPanel#getParent(), javax.swing.JPanel#getLocation(), javax.swing.JPanel#remove(java.awt.MenuComponent), javax.swing.JPanel#setName(java.lang.String), javax.swing.JPanel#getSize(), javax.swing.JPanel#isValid(), javax.swing.JPanel#action(java.awt.Event, java.lang.Object), javax.swing.JPanel#setSize(int, int), javax.swing.JPanel#setSize(java.awt.Dimension), javax.swing.JPanel#resize(int, int), javax.swing.JPanel#resize(java.awt.Dimension), javax.swing.JPanel#location(), javax.swing.JPanel#enable(boolean), javax.swing.JPanel#getLocale(), javax.swing.JPanel#setLocale(java.util.Locale), javax.swing.JPanel#move(int, int), javax.swing.JPanel#isLightweight(), javax.swing.JPanel#isDisplayable(), javax.swing.JPanel#isVisible(), javax.swing.JPanel#getPeer(), javax.swing.JPanel#setDropTarget(java.awt.dnd.DropTarget), javax.swing.JPanel#getDropTarget(), javax.swing.JPanel#getGraphicsConfiguration(), javax.swing.JPanel#getTreeLock(), javax.swing.JPanel#getToolkit(), javax.swing.JPanel#getMousePosition(), javax.swing.JPanel#isShowing(), javax.swing.JPanel#enableInputMethods(boolean), javax.swing.JPanel#show(), javax.swing.JPanel#show(boolean), javax.swing.JPanel#hide(), javax.swing.JPanel#getForeground(), javax.swing.JPanel#isForegroundSet(), javax.swing.JPanel#getBackground(), javax.swing.JPanel#isBackgroundSet(), javax.swing.JPanel#getFont(), javax.swing.JPanel#isFontSet(), javax.swing.JPanel#getColorModel(), javax.swing.JPanel#getLocationOnScreen(), javax.swing.JPanel#setLocation(int, int), javax.swing.JPanel#setLocation(java.awt.Point), javax.swing.JPanel#setBounds(int, int, int, int), javax.swing.JPanel#setBounds(java.awt.Rectangle), javax.swing.JPanel#isPreferredSizeSet(), javax.swing.JPanel#isMinimumSizeSet(), javax.swing.JPanel#isMaximumSizeSet(), javax.swing.JPanel#setCursor(java.awt.Cursor), javax.swing.JPanel#getCursor(), javax.swing.JPanel#isCursorSet(), javax.swing.JPanel#paintAll(java.awt.Graphics), javax.swing.JPanel#repaint(), javax.swing.JPanel#repaint(long), javax.swing.JPanel#repaint(int, int, int, int), javax.swing.JPanel#imageUpdate(java.awt.Image, int, int, int, int, int), javax.swing.JPanel#createImage(java.awt.image.ImageProducer), javax.swing.JPanel#createImage(int, int), javax.swing.JPanel#createVolatileImage(int, int), javax.swing.JPanel#createVolatileImage(int, int, java.awt.ImageCapabilities), javax.swing.JPanel#prepareImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JPanel#prepareImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JPanel#checkImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JPanel#checkImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JPanel#setIgnoreRepaint(boolean), javax.swing.JPanel#getIgnoreRepaint(), javax.swing.JPanel#inside(int, int), javax.swing.JPanel#dispatchEvent(java.awt.AWTEvent), javax.swing.JPanel#postEvent(java.awt.Event), javax.swing.JPanel#addComponentListener(java.awt.event.ComponentListener), javax.swing.JPanel#removeComponentListener(java.awt.event.ComponentListener), javax.swing.JPanel#getComponentListeners(), javax.swing.JPanel#addFocusListener(java.awt.event.FocusListener), javax.swing.JPanel#removeFocusListener(java.awt.event.FocusListener), javax.swing.JPanel#getFocusListeners(), javax.swing.JPanel#addHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JPanel#removeHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JPanel#getHierarchyListeners(), javax.swing.JPanel#addHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JPanel#removeHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JPanel#getHierarchyBoundsListeners(), javax.swing.JPanel#addKeyListener(java.awt.event.KeyListener), javax.swing.JPanel#removeKeyListener(java.awt.event.KeyListener), javax.swing.JPanel#getKeyListeners(), javax.swing.JPanel#addMouseListener(java.awt.event.MouseListener), javax.swing.JPanel#removeMouseListener(java.awt.event.MouseListener), javax.swing.JPanel#getMouseListeners(), javax.swing.JPanel#addMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JPanel#removeMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JPanel#getMouseMotionListeners(), javax.swing.JPanel#addMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JPanel#removeMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JPanel#getMouseWheelListeners(), javax.swing.JPanel#addInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JPanel#removeInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JPanel#getInputMethodListeners(), javax.swing.JPanel#getInputMethodRequests(), javax.swing.JPanel#getInputContext(), javax.swing.JPanel#handleEvent(java.awt.Event), javax.swing.JPanel#mouseDown(java.awt.Event, int, int), javax.swing.JPanel#mouseDrag(java.awt.Event, int, int), javax.swing.JPanel#mouseUp(java.awt.Event, int, int), javax.swing.JPanel#mouseMove(java.awt.Event, int, int), javax.swing.JPanel#mouseEnter(java.awt.Event, int, int), javax.swing.JPanel#mouseExit(java.awt.Event, int, int), javax.swing.JPanel#keyDown(java.awt.Event, int), javax.swing.JPanel#keyUp(java.awt.Event, int), javax.swing.JPanel#gotFocus(java.awt.Event, java.lang.Object), javax.swing.JPanel#lostFocus(java.awt.Event, java.lang.Object), javax.swing.JPanel#isFocusTraversable(), javax.swing.JPanel#isFocusable(), javax.swing.JPanel#setFocusable(boolean), javax.swing.JPanel#setFocusTraversalKeysEnabled(boolean), javax.swing.JPanel#getFocusTraversalKeysEnabled(), javax.swing.JPanel#getFocusCycleRootAncestor(), javax.swing.JPanel#transferFocus(), javax.swing.JPanel#nextFocus(), javax.swing.JPanel#transferFocusBackward(), javax.swing.JPanel#transferFocusUpCycle(), javax.swing.JPanel#hasFocus(), javax.swing.JPanel#isFocusOwner(), javax.swing.JPanel#removePropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JPanel#removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JPanel#getPropertyChangeListeners(), javax.swing.JPanel#getPropertyChangeListeners(java.lang.String), javax.swing.JPanel#firePropertyChange(java.lang.String, byte, byte), javax.swing.JPanel#firePropertyChange(java.lang.String, short, short), javax.swing.JPanel#firePropertyChange(java.lang.String, long, long), javax.swing.JPanel#firePropertyChange(java.lang.String, float, float), javax.swing.JPanel#firePropertyChange(java.lang.String, double, double), javax.swing.JPanel#setComponentOrientation(java.awt.ComponentOrientation), javax.swing.JPanel#getComponentOrientation(), javax.swing.JPanel#bounds(), javax.swing.JPanel#getBounds(), javax.swing.JPanel#isEnabled(), javax.swing.JPanel#wait(long), javax.swing.JPanel#wait(long, int), javax.swing.JPanel#wait(), javax.swing.JPanel#equals(java.lang.Object), javax.swing.JPanel#hashCode(), javax.swing.JPanel#getClass(), javax.swing.JPanel#notify(), javax.swing.JPanel#notifyAll()

Methods inherited from class javax.swing.JComponent
javax.swing.JComponent#contains(int, int), javax.swing.JComponent#getLocation(java.awt.Point), javax.swing.JComponent#print(java.awt.Graphics), javax.swing.JComponent#getSize(java.awt.Dimension), javax.swing.JComponent#update(java.awt.Graphics), javax.swing.JComponent#isOpaque(), javax.swing.JComponent#enable(), javax.swing.JComponent#disable(), javax.swing.JComponent#setOpaque(boolean), javax.swing.JComponent#getRootPane(), javax.swing.JComponent#setEnabled(boolean), javax.swing.JComponent#isDoubleBuffered(), javax.swing.JComponent#setVisible(boolean), javax.swing.JComponent#setForeground(java.awt.Color), javax.swing.JComponent#setBackground(java.awt.Color), javax.swing.JComponent#setFont(java.awt.Font), javax.swing.JComponent#reshape(int, int, int, int), javax.swing.JComponent#getX(), javax.swing.JComponent#getY(), javax.swing.JComponent#getWidth(), javax.swing.JComponent#getHeight(), javax.swing.JComponent#setPreferredSize(java.awt.Dimension), javax.swing.JComponent#getPreferredSize(), javax.swing.JComponent#setMinimumSize(java.awt.Dimension), javax.swing.JComponent#getMinimumSize(), javax.swing.JComponent#setMaximumSize(java.awt.Dimension), javax.swing.JComponent#getMaximumSize(), javax.swing.JComponent#getAlignmentX(), javax.swing.JComponent#getAlignmentY(), javax.swing.JComponent#getBaseline(int, int), javax.swing.JComponent#getBaselineResizeBehavior(), javax.swing.JComponent#revalidate(), javax.swing.JComponent#getGraphics(), javax.swing.JComponent#getFontMetrics(java.awt.Font), javax.swing.JComponent#paint(java.awt.Graphics), javax.swing.JComponent#repaint(long, int, int, int, int), javax.swing.JComponent#repaint(java.awt.Rectangle), javax.swing.JComponent#printAll(java.awt.Graphics), javax.swing.JComponent#getListeners(java.lang.Class), javax.swing.JComponent#addNotify(), javax.swing.JComponent#removeNotify(), javax.swing.JComponent#setFocusTraversalKeys(int, java.util.Set), javax.swing.JComponent#requestFocus(), javax.swing.JComponent#requestFocus(boolean), javax.swing.JComponent#requestFocusInWindow(), javax.swing.JComponent#firePropertyChange(java.lang.String, boolean, boolean), javax.swing.JComponent#firePropertyChange(java.lang.String, int, int), javax.swing.JComponent#firePropertyChange(java.lang.String, char, char), javax.swing.JComponent#getAccessibleContext(), javax.swing.JComponent#isValidateRoot(), javax.swing.JComponent#getInsets(), javax.swing.JComponent#getInsets(java.awt.Insets), javax.swing.JComponent#updateUI(), javax.swing.JComponent#getUIClassID(), javax.swing.JComponent#addAncestorListener(javax.swing.event.AncestorListener), javax.swing.JComponent#setInheritsPopupMenu(boolean), javax.swing.JComponent#getInheritsPopupMenu(), javax.swing.JComponent#setComponentPopupMenu(javax.swing.JPopupMenu), javax.swing.JComponent#getComponentPopupMenu(), javax.swing.JComponent#isPaintingTile(), javax.swing.JComponent#isPaintingForPrint(), javax.swing.JComponent#isManagingFocus(), javax.swing.JComponent#setNextFocusableComponent(java.awt.Component), javax.swing.JComponent#getNextFocusableComponent(), javax.swing.JComponent#setRequestFocusEnabled(boolean), javax.swing.JComponent#isRequestFocusEnabled(), javax.swing.JComponent#grabFocus(), javax.swing.JComponent#setVerifyInputWhenFocusTarget(boolean), javax.swing.JComponent#getVerifyInputWhenFocusTarget(), javax.swing.JComponent#setBorder(javax.swing.border.Border), javax.swing.JComponent#getBorder(), javax.swing.JComponent#setAlignmentY(float), javax.swing.JComponent#setAlignmentX(float), javax.swing.JComponent#setInputVerifier(javax.swing.InputVerifier), javax.swing.JComponent#getInputVerifier(), javax.swing.JComponent#setDebugGraphicsOptions(int), javax.swing.JComponent#getDebugGraphicsOptions(), javax.swing.JComponent#registerKeyboardAction(java.awt.event.ActionListener, java.lang.String, javax.swing.KeyStroke, int), javax.swing.JComponent#registerKeyboardAction(java.awt.event.ActionListener, javax.swing.KeyStroke, int), javax.swing.JComponent#unregisterKeyboardAction(javax.swing.KeyStroke), javax.swing.JComponent#getRegisteredKeyStrokes(), javax.swing.JComponent#getConditionForKeyStroke(javax.swing.KeyStroke), javax.swing.JComponent#getActionForKeyStroke(javax.swing.KeyStroke), javax.swing.JComponent#resetKeyboardActions(), javax.swing.JComponent#setInputMap(int, javax.swing.InputMap), javax.swing.JComponent#getInputMap(int), javax.swing.JComponent#getInputMap(), javax.swing.JComponent#setActionMap(javax.swing.ActionMap), javax.swing.JComponent#getActionMap(), javax.swing.JComponent#requestDefaultFocus(), javax.swing.JComponent#getDefaultLocale(), javax.swing.JComponent#setDefaultLocale(java.util.Locale), javax.swing.JComponent#setToolTipText(java.lang.String), javax.swing.JComponent#getToolTipText(), javax.swing.JComponent#getToolTipText(java.awt.event.MouseEvent), javax.swing.JComponent#getToolTipLocation(java.awt.event.MouseEvent), javax.swing.JComponent#getPopupLocation(java.awt.event.MouseEvent), javax.swing.JComponent#createToolTip(), javax.swing.JComponent#scrollRectToVisible(java.awt.Rectangle), javax.swing.JComponent#setAutoscrolls(boolean), javax.swing.JComponent#getAutoscrolls(), javax.swing.JComponent#setTransferHandler(javax.swing.TransferHandler), javax.swing.JComponent#getTransferHandler(), javax.swing.JComponent#getClientProperty(java.lang.Object), javax.swing.JComponent#putClientProperty(java.lang.Object, java.lang.Object), javax.swing.JComponent#isLightweightComponent(java.awt.Component), javax.swing.JComponent#computeVisibleRect(java.awt.Rectangle), javax.swing.JComponent#getVisibleRect(), javax.swing.JComponent#addVetoableChangeListener(java.beans.VetoableChangeListener), javax.swing.JComponent#removeVetoableChangeListener(java.beans.VetoableChangeListener), javax.swing.JComponent#getVetoableChangeListeners(), javax.swing.JComponent#getTopLevelAncestor(), javax.swing.JComponent#removeAncestorListener(javax.swing.event.AncestorListener), javax.swing.JComponent#getAncestorListeners(), javax.swing.JComponent#isOptimizedDrawingEnabled(), javax.swing.JComponent#paintImmediately(int, int, int, int), javax.swing.JComponent#paintImmediately(java.awt.Rectangle), javax.swing.JComponent#setDoubleBuffered(boolean), javax.swing.JComponent#getBounds(java.awt.Rectangle), javax.swing.JComponent#add(java.awt.Component), javax.swing.JComponent#add(java.lang.String, java.awt.Component), javax.swing.JComponent#add(java.awt.Component, int), javax.swing.JComponent#add(java.awt.Component, java.lang.Object), javax.swing.JComponent#add(java.awt.Component, java.lang.Object, int), javax.swing.JComponent#list(java.io.PrintStream, int), javax.swing.JComponent#list(java.io.PrintWriter, int), javax.swing.JComponent#remove(int), javax.swing.JComponent#remove(java.awt.Component), javax.swing.JComponent#removeAll(), javax.swing.JComponent#validate(), javax.swing.JComponent#setFocusCycleRoot(boolean), javax.swing.JComponent#insets(), javax.swing.JComponent#setComponentZOrder(java.awt.Component, int), javax.swing.JComponent#paintComponents(java.awt.Graphics), javax.swing.JComponent#printComponents(java.awt.Graphics), javax.swing.JComponent#addContainerListener(java.awt.event.ContainerListener), javax.swing.JComponent#removeContainerListener(java.awt.event.ContainerListener), javax.swing.JComponent#getContainerListeners(), javax.swing.JComponent#isAncestorOf(java.awt.Component), javax.swing.JComponent#setFocusTraversalPolicy(java.awt.FocusTraversalPolicy), javax.swing.JComponent#isFocusTraversalPolicySet(), javax.swing.JComponent#setFocusTraversalPolicyProvider(boolean), javax.swing.JComponent#isFocusTraversalPolicyProvider(), javax.swing.JComponent#transferFocusDownCycle(), javax.swing.JComponent#getMousePosition(boolean), javax.swing.JComponent#preferredSize(), javax.swing.JComponent#minimumSize(), javax.swing.JComponent#invalidate(), javax.swing.JComponent#getComponentAt(int, int), javax.swing.JComponent#getComponentAt(java.awt.Point), javax.swing.JComponent#locate(int, int), javax.swing.JComponent#deliverEvent(java.awt.Event), javax.swing.JComponent#getFocusTraversalKeys(int), javax.swing.JComponent#areFocusTraversalKeysSet(int), javax.swing.JComponent#isFocusCycleRoot(java.awt.Container), javax.swing.JComponent#isFocusCycleRoot(), javax.swing.JComponent#addPropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JComponent#addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JComponent#applyComponentOrientation(java.awt.ComponentOrientation), javax.swing.JComponent#findComponentAt(int, int), javax.swing.JComponent#findComponentAt(java.awt.Point), javax.swing.JComponent#countComponents(), javax.swing.JComponent#getFocusTraversalPolicy(), javax.swing.JComponent#getComponents(), javax.swing.JComponent#getComponentZOrder(java.awt.Component), javax.swing.JComponent#getComponent(int), javax.swing.JComponent#getComponentCount(), javax.swing.JComponent#doLayout(), javax.swing.JComponent#getLayout(), javax.swing.JComponent#setLayout(java.awt.LayoutManager), javax.swing.JComponent#layout(), javax.swing.JComponent#add(java.awt.PopupMenu), javax.swing.JComponent#toString(), javax.swing.JComponent#getName(), javax.swing.JComponent#size(), javax.swing.JComponent#contains(java.awt.Point), javax.swing.JComponent#list(), javax.swing.JComponent#list(java.io.PrintStream), javax.swing.JComponent#list(java.io.PrintWriter), javax.swing.JComponent#getParent(), javax.swing.JComponent#getLocation(), javax.swing.JComponent#remove(java.awt.MenuComponent), javax.swing.JComponent#setName(java.lang.String), javax.swing.JComponent#getSize(), javax.swing.JComponent#isValid(), javax.swing.JComponent#action(java.awt.Event, java.lang.Object), javax.swing.JComponent#setSize(int, int), javax.swing.JComponent#setSize(java.awt.Dimension), javax.swing.JComponent#resize(int, int), javax.swing.JComponent#resize(java.awt.Dimension), javax.swing.JComponent#location(), javax.swing.JComponent#enable(boolean), javax.swing.JComponent#getLocale(), javax.swing.JComponent#setLocale(java.util.Locale), javax.swing.JComponent#move(int, int), javax.swing.JComponent#isLightweight(), javax.swing.JComponent#isDisplayable(), javax.swing.JComponent#isVisible(), javax.swing.JComponent#getPeer(), javax.swing.JComponent#setDropTarget(java.awt.dnd.DropTarget), javax.swing.JComponent#getDropTarget(), javax.swing.JComponent#getGraphicsConfiguration(), javax.swing.JComponent#getTreeLock(), javax.swing.JComponent#getToolkit(), javax.swing.JComponent#getMousePosition(), javax.swing.JComponent#isShowing(), javax.swing.JComponent#enableInputMethods(boolean), javax.swing.JComponent#show(), javax.swing.JComponent#show(boolean), javax.swing.JComponent#hide(), javax.swing.JComponent#getForeground(), javax.swing.JComponent#isForegroundSet(), javax.swing.JComponent#getBackground(), javax.swing.JComponent#isBackgroundSet(), javax.swing.JComponent#getFont(), javax.swing.JComponent#isFontSet(), javax.swing.JComponent#getColorModel(), javax.swing.JComponent#getLocationOnScreen(), javax.swing.JComponent#setLocation(int, int), javax.swing.JComponent#setLocation(java.awt.Point), javax.swing.JComponent#setBounds(int, int, int, int), javax.swing.JComponent#setBounds(java.awt.Rectangle), javax.swing.JComponent#isPreferredSizeSet(), javax.swing.JComponent#isMinimumSizeSet(), javax.swing.JComponent#isMaximumSizeSet(), javax.swing.JComponent#setCursor(java.awt.Cursor), javax.swing.JComponent#getCursor(), javax.swing.JComponent#isCursorSet(), javax.swing.JComponent#paintAll(java.awt.Graphics), javax.swing.JComponent#repaint(), javax.swing.JComponent#repaint(long), javax.swing.JComponent#repaint(int, int, int, int), javax.swing.JComponent#imageUpdate(java.awt.Image, int, int, int, int, int), javax.swing.JComponent#createImage(java.awt.image.ImageProducer), javax.swing.JComponent#createImage(int, int), javax.swing.JComponent#createVolatileImage(int, int), javax.swing.JComponent#createVolatileImage(int, int, java.awt.ImageCapabilities), javax.swing.JComponent#prepareImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JComponent#prepareImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JComponent#checkImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JComponent#checkImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JComponent#setIgnoreRepaint(boolean), javax.swing.JComponent#getIgnoreRepaint(), javax.swing.JComponent#inside(int, int), javax.swing.JComponent#dispatchEvent(java.awt.AWTEvent), javax.swing.JComponent#postEvent(java.awt.Event), javax.swing.JComponent#addComponentListener(java.awt.event.ComponentListener), javax.swing.JComponent#removeComponentListener(java.awt.event.ComponentListener), javax.swing.JComponent#getComponentListeners(), javax.swing.JComponent#addFocusListener(java.awt.event.FocusListener), javax.swing.JComponent#removeFocusListener(java.awt.event.FocusListener), javax.swing.JComponent#getFocusListeners(), javax.swing.JComponent#addHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JComponent#removeHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JComponent#getHierarchyListeners(), javax.swing.JComponent#addHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JComponent#removeHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JComponent#getHierarchyBoundsListeners(), javax.swing.JComponent#addKeyListener(java.awt.event.KeyListener), javax.swing.JComponent#removeKeyListener(java.awt.event.KeyListener), javax.swing.JComponent#getKeyListeners(), javax.swing.JComponent#addMouseListener(java.awt.event.MouseListener), javax.swing.JComponent#removeMouseListener(java.awt.event.MouseListener), javax.swing.JComponent#getMouseListeners(), javax.swing.JComponent#addMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JComponent#removeMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JComponent#getMouseMotionListeners(), javax.swing.JComponent#addMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JComponent#removeMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JComponent#getMouseWheelListeners(), javax.swing.JComponent#addInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JComponent#removeInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JComponent#getInputMethodListeners(), javax.swing.JComponent#getInputMethodRequests(), javax.swing.JComponent#getInputContext(), javax.swing.JComponent#handleEvent(java.awt.Event), javax.swing.JComponent#mouseDown(java.awt.Event, int, int), javax.swing.JComponent#mouseDrag(java.awt.Event, int, int), javax.swing.JComponent#mouseUp(java.awt.Event, int, int), javax.swing.JComponent#mouseMove(java.awt.Event, int, int), javax.swing.JComponent#mouseEnter(java.awt.Event, int, int), javax.swing.JComponent#mouseExit(java.awt.Event, int, int), javax.swing.JComponent#keyDown(java.awt.Event, int), javax.swing.JComponent#keyUp(java.awt.Event, int), javax.swing.JComponent#gotFocus(java.awt.Event, java.lang.Object), javax.swing.JComponent#lostFocus(java.awt.Event, java.lang.Object), javax.swing.JComponent#isFocusTraversable(), javax.swing.JComponent#isFocusable(), javax.swing.JComponent#setFocusable(boolean), javax.swing.JComponent#setFocusTraversalKeysEnabled(boolean), javax.swing.JComponent#getFocusTraversalKeysEnabled(), javax.swing.JComponent#getFocusCycleRootAncestor(), javax.swing.JComponent#transferFocus(), javax.swing.JComponent#nextFocus(), javax.swing.JComponent#transferFocusBackward(), javax.swing.JComponent#transferFocusUpCycle(), javax.swing.JComponent#hasFocus(), javax.swing.JComponent#isFocusOwner(), javax.swing.JComponent#removePropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JComponent#removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JComponent#getPropertyChangeListeners(), javax.swing.JComponent#getPropertyChangeListeners(java.lang.String), javax.swing.JComponent#firePropertyChange(java.lang.String, byte, byte), javax.swing.JComponent#firePropertyChange(java.lang.String, short, short), javax.swing.JComponent#firePropertyChange(java.lang.String, long, long), javax.swing.JComponent#firePropertyChange(java.lang.String, float, float), javax.swing.JComponent#firePropertyChange(java.lang.String, double, double), javax.swing.JComponent#setComponentOrientation(java.awt.ComponentOrientation), javax.swing.JComponent#getComponentOrientation(), javax.swing.JComponent#bounds(), javax.swing.JComponent#getBounds(), javax.swing.JComponent#isEnabled(), javax.swing.JComponent#wait(long), javax.swing.JComponent#wait(long, int), javax.swing.JComponent#wait(), javax.swing.JComponent#equals(java.lang.Object), javax.swing.JComponent#hashCode(), javax.swing.JComponent#getClass(), javax.swing.JComponent#notify(), javax.swing.JComponent#notifyAll()

Constructor Detail

### TableLayout

    public TableLayout()

Method Detail

### addCell

    public void addCell(TableLayoutCell cell)

  Adds a new cell to the current grid
  Parameters:
    `cell` - the td component

### getCellpadding

    public int getCellpadding()

### nextRowIndex

    public int nextRowIndex()

  Creates a new row index for child
  tags
  Returns:
    nextRowIndex the row number

### setCellpadding

    public void setCellpadding(int cellpadding)

Groovy Documentation